For the complete documentation index, see llms.txt. This page is also available as Markdown.

trylocateresulttx - TON

Example code for the trylocateresulttx JSON-RPC method. Сomplete guide on how to use trylocateresulttx JSON-RPC in GetBlock.io Web3 documentation.

This method is the same as tryLocateTx: it attempts to locate the outgoing transaction of the destination address by inbound message parameters. Provided as an alias.

Parameters

Parameter
Type
Required
Description

source

string

Yes

Source address of the message

destination

string

Yes

Destination address of the message

created_lt

string

Yes

Creation logical time of the message

Request Example

REST (GET):

curl --location --request GET 'https://go.getblock.io/<ACCESS-TOKEN>/tryLocateResultTx?source=EQDtFpEwcFAEcRe5mLVh2N6C0x-_hJEM7W61_JLnSF74p4q2&destination=EQDtFpEwcFAEcRe5mLVh2N6C0x-_hJEM7W61_JLnSF74p4q2&created_lt=47652103000000' \
--header 'Content-Type: application/json'

JSON-RPC (POST):

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "tryLocateResultTx",
    "params": {
        "source": "EQDtFpEwcFAEcRe5mLVh2N6C0x-_hJEM7W61_JLnSF74p4q2",
        "destination": "EQDtFpEwcFAEcRe5mLVh2N6C0x-_hJEM7W61_JLnSF74p4q2",
        "created_lt": "47652103000000"
    },
    "id": "getblock.io"
}'

Response Example

Response Parameters

Field
Type
Description

result.transaction_id.lt

string

Logical time of the located transaction

result.transaction_id.hash

string

Hash of the located transaction

Use Cases

  • Alias-compatible workflows that already use tryLocateResultTx

  • Confirming message delivery in the destination shard

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid <ACCESS-TOKEN>

422

Validation Error

Request parameters are missing or malformed

429

Too Many Requests

Rate limit exceeded for your plan

504

Lite Server Timeout

Upstream TON liteserver timed out

SDK Integration

Last updated

Was this helpful?